Subject: Re: Update on some NNCP things

From: John Goerzen <[email-masked]>
Date: Wed, 16 Feb 2022 12:09:22 -0600

On Wed, Feb 16 2022, Sergey Matveev wrote:

> I can successfully connect it via Yggdrasil.

Speaking of this - I mentioned to them on their Matrix channel about how
you've integrated Yggdrasil into NNCP.  Neil was particularly interested
in inet.af/netstack.  He had previously written yggmail using uTP as you
probably knew.  He's currently working on a brach of yggdrasil that will
have an option to act as a SOCKS5 proxy -- or forward incoming
connections to local ports -- for those that can't set up a tun
interface for whatever reason, but don't embed yggdrasil in their
codebase (eg, Docker containers).  He's using netstack for this.

Thank you for what you did with Yggdrasil.  It is really neat to see
these two projects get ideas from each other like this.

- John